function onTalk()
  if not getFlag('leg_flag_1') then
    say('Legbob1')
    setFlag('leg_flag_1', true)
  elseif not getFlag('leg_flag_2') then
    say('Legbob2')
    setFlag('leg_flag_2', true)
  else
    say('Legbob3')
  end
end